/*#region COMMON*/

:root {
    --DEF_PADDING: 8px;
    --DEF_RADIUS: 16px;
    --COLOR_LIGTH: #fafa66;
    --COLOR_NORMAL: #fde78c;
    --COLOR_DARK: #c29457;
    --COLOR_BORDER: #dddddd;
    --COLOR_CODE: #1212c2;
    --COLOR_TITLE: #e400e4;
    --DEF_WIDTH: 1300px;
    --HEADER_HEIGHT: 112px;
    --DEF_GAP: 8px;
}

::selection {
    color: var(--COLOR_TITLE);
    background: #d0d0d0;
}

body,
html {
    margin: 0;
    background-color: #fafaff;
    height: 100%;
}

#page-wrapper {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    min-height: 800px;
    width: var(--DEF_WIDTH);
    margin: 0 auto;
    user-select: none;
    box-shadow: 5px 5px 15px 3px #dddddd;
}

/*#endregion*/

/*#region PAGE HEADER*/

#page-header {
    display: block;
    position: fixed;
    height: var(--HEADER_HEIGHT);
    width: var(--DEF_WIDTH);
    background-color: var(--COLOR_LIGTH);
    border-width: 0 0 1px 0;
    border-color: var(--COLOR_BORDER);
    border-style: solid;
    flex-shrink: 0;
    z-index: 999;
}

#header-bar {
    display: flex;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 72px;
    font-weight: 700;
    margin: 0 40px 0 40px;
    color: var(--COLOR_TITLE);
}

#logo {
    flex: 1;
}

.logo-small {
    font-size: 0.5em;
    font-weight: 400;
    letter-spacing: 0.2rem;
}

#domen-title {
    flex: 1;
    text-align: right;
}

/*#endregion*/

/*#region PAGE MAIN*/

#page-main {
    margin: var(--HEADER_HEIGHT) 0 0 0;
    display: flex;
    flex-direction: row;
    min-height: 800px;
}

/*#region page-main-sidebar */

#page-main-sidebar {
    background-color: var(--COLOR_NORMAL);
    margin: var(--DEF_GAP) 0 0 0;
    padding: 20px 0px 20px 20px;
    border-radius: 0 var(--DEF_RADIUS) var(--DEF_RADIUS) 0;
    max-width: 600px;
    min-width: 240px;
}

#sidebar-toc-nav {
    color: var(--COLOR_DARK);
}

#nav-list-title {
    font-size: 20px;
    font-weight: 700;
    margin: 10px 0 0 25px;
}

#nav-tools {
    height: 40px;
    display: inline-flex;
    align-content:space-around;
    margin: 10px 10px 0 18px;
}

#nav-tools svg-button {
    margin: 0 8px 0 0px;
}

/*#endregion */

/*#region page-main-content */

#page-main-content {
    margin: var(--DEF_GAP) var(--DEF_GAP) 0 var(--DEF_GAP);
    position: relative;
    display: flex;
    flex-direction: column;
    flex: 1;
}

/*#region snippet */

.snippet {
    opacity: 0.0;
    font-family: 'Consolas', 'Courier New', Courier, monospace;
    color: var(--COLOR_CODE);
    margin: 0;
    transition: opacity 200ms;
}

.snippet-visible {
    transition: opacity 400ms;
    opacity: 1;
}

.source-code-title {
    font-size: 32px;
    font-weight: 700;
    background-color: var(--COLOR_NORMAL);
    line-height: 36px;
    padding: 12px 20px 10px 30px;
    border-radius: var(--DEF_RADIUS) var(--DEF_RADIUS) 0 0;
    border-width: 0 0 1px 0;
    border-color: #E9D681;
    border-style: solid;
    display: flex;
}

.source-code-container {
    display: flex;
    flex-direction: row;
    background-color: #dddddd;
    position: relative;
    border-width: 0 0 1px 0;
    border-color: #cccccc;
    border-style: solid;
    border-radius: 0 0 var(--DEF_RADIUS) var(--DEF_RADIUS);
    padding: 20px 20px 20px 30px;
}

.source-code-text {
    margin: 0px;
    font-size: 20px;
    line-height: 28px;
    user-select: text;
    flex: 1;
    white-space: pre-wrap;
    word-break: break-word;
}

.source-code-toolbar {
    display: flex;
    flex-direction: column;
    background-color: rgba(228, 0, 228, 0.0);
}

/*#endregion*/

/*#endregion*/

/*#endregion*/

/*#region PAGE FOOTER */

#page-footer {
    margin: var(--DEF_GAP) 0 0 0;
    background-color: var(--COLOR_DARK);
    color: #ffffff;
    padding: 20px;
}

.footer-info {
    text-align: center;
    font-size: 15px;
    letter-spacing: 0.1em;
}

/*#endregion*/

/*#region events */

.nav-list-item-over {
    color: var(--COLOR_TITLE);
}

.nav-list-item-selected {
    color: var(--COLOR_CODE);
    font-weight: 700;
    background-color: var(--COLOR_LIGTH);
    border-radius: var(--DEF_RADIUS) 0 0 var(--DEF_RADIUS);
    transition: background-color 300ms;
}

/*#endregion */

/*#region DIALOGS*/

#code-settings {
    border-color: var(--COLOR_CODE);
    border-radius: var(--DEF_RADIUS);
    box-shadow: 0 0 8px 0px var(--COLOR_CODE);
    background-color: var(--COLOR_NORMAL);
}

.dialog-buttons {
    width: 72px;
}

#code-settings button {
    border-radius: var(--DEF_RADIUS);
}

.hiddenText {
    color: rgba(0, 0, 0, 0);
}

#code-settings #ok-button {
    background-color: var(--COLOR_LIGTH);
    color: var(--COLOR_CODE);
    font-weight: 700;
}

/* #code-settings #cancel-button {
    
} */

.animTranslation {
    transition: 'translate';
}

/*#endregion */